<header class="header py-2 home-welcome-mobile__header">
  <div class="header__nav">
    {{#unless isShowingMenuTags}}
    <button type="button" {{action 'toggleModal' 'isShowingMenuModal'}} class="header__button" >
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.register' (query-params hideWelcome="true")}}
          {{svg-jar "menu" class="home-welcome-mobile__header-icon"}}
          Login
        {{/link-to}}
      {{else}}
        {{#link-to 'register' (query-params hideWelcome="true")}}
          {{svg-jar "menu" class="home-welcome-mobile__header-icon"}}
          Login
        {{/link-to}}
      {{/if}}
    </button>
    {{else}}
    <button type="button" {{action 'toggleModal' 'isShowingMenuTags'}} class="header__button" >
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.index.index' }}
          {{svg-jar 'back' class="home-welcome-mobile__header-icon"}}
        {{/link-to}}
      {{else}}
        {{#link-to 'index.index' }}
          {{svg-jar 'back' class="home-welcome-mobile__header-icon"}}
        {{/link-to}}
      {{/if}}
    </button>
    {{/unless}}
  </div>
  <div class="header__center">
    {{net-picker class="" agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}
    <!-- {{svg-jar "svg-logo" class="small-header-icon"}} -->
  </div>
  <div class="header__nav">
    <button type="button" {{action 'toggleModal' 'isShowingModal'}} class="header__button">
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.index' (query-params buttonsDisplay="map" hideWelcome="true")}}
          {{svg-jar "button_list" class="home-welcome-mobile__header-icon"}}
          Mapa
        {{/link-to}}
      {{else}}
        {{#link-to 'index' (query-params buttonsDisplay="map" hideWelcome="true")}}
          {{svg-jar "button_list" class="home-welcome-mobile__header-icon"}}
          Mapa
        {{/link-to}}
      {{/if}}
  </button>
  </div>
</header>

{{#unless isShowingMenuTags}}
<div class="home-welcome-mobile__half-screen home-welcome-mobile__text">
  <div class="pt-4 px-4 home-welcome-mobile__align-bottom">
    <p class="home-welcome-mobile__slogan">
      <strong>
        {{#if noTrendingTags}}
          {{welcomeTitle1}}
          {{place-autocomplete-field
            id=welcomeAddress
            classNames="home-welcome__address home-welcome__address-container"
            inputClass='home-welcome__address '
            value=searchZoneAddress
            setValueWithProperty='formatted_address'
            searchAction=(action 'searchByAddress')
            placeChangedCallback=(action 'searchByAddress')
            handlerController=this
            withGeoLocate=true
            placeholder="searchZoneAddress"
            disabled=isSearching
          }}
        {{else}}
          {{welcomeTitle}}
          {{place-autocomplete-field
            id=welcomeAddress
            classNames="home-welcome__address home-welcome__address-container"
            inputClass='home-welcome__address '
            value=searchZoneAddress
            setValueWithProperty='formatted_address'
            searchAction=(action 'searchByAddress')
            placeChangedCallback=(action 'searchByAddress')
            handlerController=this
            withGeoLocate=true
            placeholder=searchZoneAddress
            disabled=isSearching
          }}
        {{/if}}
      </strong>
    </p>
    <p>
      {{#each firstTrendingTags as |tag|}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
            {{tag.name}}
          {{/link-to}}
        {{else}}
          {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
            {{tag.name}}
          {{/link-to}}
        {{/if}}
      {{/each}}
      <!-- {{#link-to 'index.index' (query-params searchTags="urgenciaalimentaria" hideWelcome=true) click=(action 'toggleModal' 'isShowingModal') class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}urgenciaalimentaria{{/link-to}} -->

      <!-- {{#link-to 'index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver todos{{/link-to}} -->
      {{#if moreTrendingTags}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{else}}
          {{#link-to 'index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{/if}}
      {{/if}}
      {{#if noTrendingTags}}
      {{#unless isButtonNetRoute}}
        {{#each globalTrendingTags as |tag|}}
            {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
              {{tag.name}}
            {{/link-to}}
        {{/each}}
      {{/unless}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{/if}}
      {{/if}}
    </p>
      <p class="home-welcome-mobile__slogan"><strong>O crea un botón para que contacten contigo:</strong></p>
  </div>
</div>
<div class="home-welcome-mobile__half-screen home-welcome-mobile__half-screen--z-index text-center">
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.buttons.new' 'new'}}
      <div class="home-welcome-mobile__create-button">
        <div class="home-welcome-mobile__create-button-border">
        </div>
        <div class="row home-welcome-mobile__button-design">
          <div class="col-12 text-center">{{svg-jar "create"}}</div>
          <div class="col-12 home-welcome-mobile__create-button-text">
            <strong>CREAR BOTÓN</strong>
          </div>
        </div>
      </div>
    {{/link-to}}
  {{else}}
    {{#link-to 'buttons.new' 'new'}}
      <div class="home-welcome-mobile__create-button">
        <div class="home-welcome-mobile__create-button-border">
        </div>
        <div class="row home-welcome-mobile__button-design">
          <div class="col-12 text-center">{{svg-jar "create"}}</div>
          <div class="col-12 home-welcome-mobile__create-button-text">
            <strong>CREAR BOTÓN</strong>
          </div>
        </div>
      </div>
    {{/link-to}}
  {{/if}}
  <div class="home-welcome-mobile__align-bottom w-100 h-100">
    <div class="position-relative w-100 h-100">
      {{svg-jar "trans" class="home-welcome-mobile__svg"}}
    </div>
  </div>
</div>
<div class="mt-4 ml-5 mr-5 home-welcome-mobile__text  mb-1">
  <div class="d-flex justify-content-between  mb-1">
    <div class="text-center">
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.others' class="home-welcome-mobile__small-buttons mb-1" tagName="button"}}
          + Info
        {{/link-to}}
      {{else}}
        {{#link-to 'others' class="home-welcome-mobile__small-buttons mb-1" tagName="button"}}
          + Info
        {{/link-to}}
      {{/if}}
    </div>
    <div class="text-center">
      <div class="home-welcome-mobile__small-buttons  mb-0">
      <a style="line-height: 26px;" href="https://www.helpbuttons.org/button/20?hideWelcome=true&nel=47.659722309157&nelng=15.140018463134767&swl=34.48151452802732&swlng=-21.774044036865234&userMarker=false&searchTags=helpbuttons" class="">Ayuda</a>
      </div>
    </div>
  </div>
  <div class="d-flex justify-content-between mt-0">
    {{#if isButtonNetRoute}}
      {{#link-to 'button-net.others' (query-params section="donate") class="w-100 text-center home-welcome-mobile__small-buttons" tagName="button"}}
        Donar
      {{/link-to}}
    {{else}}
      {{#link-to 'others' (query-params section="donate") class="w-100 text-center home-welcome-mobile__small-buttons" tagName="button"}}
        Donar
      {{/link-to}}
    {{/if}}
  </div>
</div>
{{else}}
<div class="home-welcome-mobile__trending-tags home-welcome-mobile__text">
  {{trending-tags buttonNet=buttonNet searchTrendingTags=searchTrendingTags}}
</div>
{{/unless}}
